opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
cv::StereoBM Class Reference

`#include <calib3d.hpp>`

## Public Types
enum | { PREFILTER_NORMALIZED_RESPONSE = 0, PREFILTER_XSOBEL = 1, BASIC_PRESET =0, FISH_EYE_PRESET =1, NARROW_PRESET =2 }

## Public Member Functions
| CV_WRAP_AS (compute) void operator()(const Mat &left
| the stereo correspondence operator. Finds the disparity for the specified rectified stereo pair
void | init (int preset, int ndisparities=0, int SADWindowSize=21)
| the method that reinitializes the state. The previous content is destroyed
CV_WRAP | StereoBM ()
| the default constructor
CV_WRAP | StereoBM (int preset, int ndisparities=0, int SADWindowSize=21)
| the full constructor taking the camera-specific preset, number of disparities and the SAD window size

## Public Attributes
const Mat Mat & | disparity
const Mat Mat int | disptype =CV_16S )
const Mat & | right
Ptr< CvStereoBMState > | state
| pointer to the underlying CvStereoBMState

## Detailed Description

Block Matching Stereo Correspondence Algorithm

The class implements BM stereo correspondence algorithm by K. Konolige.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  PREFILTER_NORMALIZED_RESPONSE |
  PREFILTER_XSOBEL |
  BASIC_PRESET |
  FISH_EYE_PRESET |
  NARROW_PRESET |

## Constructor & Destructor Documentation

CV_WRAP cv::StereoBM::StereoBM | ( |  | ) |

the default constructor

CV_WRAP cv::StereoBM::StereoBM | ( | int | preset,
|  | int | ndisparities = `0`,
|  | int | SADWindowSize = `21`
| ) |  |

the full constructor taking the camera-specific preset, number of disparities and the SAD window size

## Member Function Documentation

cv::StereoBM::CV_WRAP_AS | ( | compute |  | ) | const

the stereo correspondence operator. Finds the disparity for the specified rectified stereo pair

void cv::StereoBM::init | ( | int | preset,
|  | int | ndisparities = `0`,
|  | int | SADWindowSize = `21`
| ) |  |

the method that reinitializes the state. The previous content is destroyed

## Member Data Documentation

const Mat Mat& cv::StereoBM::disparity

const Mat Mat int cv::StereoBM::disptype =CV_16S )

const Mat& cv::StereoBM::right

Ptr<CvStereoBMState> cv::StereoBM::state

pointer to the underlying CvStereoBMState

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/calib3d/include/opencv2/calib3d/calib3d.hpp